import request from "@/api/request.js";

// 实体清单-制裁概况-获取实体清单基本信息
export function getEntityInfo() {
    return request({
        method: 'GET',
        url: `/api/sanctionList/baseInfo/el`
    })
}

// 实体清单-制裁概况-获取发布机构与重点人物
/**
 * @param {sanTypeId} 
 * @header token
 */
export function getPublishInfo(params) {
    return request({
        method: 'GET',
        url: `/api/sanctionList/getPublishedOrg`,
        params,
    })
}

// 实体清单-制裁概况-获取发布机构机构动态
/**
 * @param {Object} data
 * @param {string} data.orgId
 * @header token
 */
export function getPublishOrgInfo(data) {
    return request({
        method: 'POST',
        url: `/api/organization/relate/news`,
        data,
    })
}

// 实体清单-制裁概况-获取实体清单更新历史
/**
 * @param {Object} data
 * @param {string} [data.typeName="实体清单"] - 类型名称
 * @param {boolean} [data.isCn=false] - 是否只看中国实体
 * @param {number[]} [data.techDomainIds] - 科技领域ID列表
 * @param {number} [data.pageNum=1] - 页码
 * @param {number} [data.pageSize=10] - 每页数量
 * @header token
 */
export function getEntityUpdateInfo(data) {
    return request({
        method: 'POST',
        url: `/api/entitiesDataCount/getSanctionProcess`,
        data,
    })
}



/**
 * 实体清单列表-制裁概况-获取实体清单列表
 * @param {Object} data
 * @param {string} [data.typeName="实体清单"] - 类型名称
 * @param {boolean} [data.isCn=true] - 是否只看中国实体
 * @param {string[]} [data.techDomains] - 科技领域ID列表
 * @param {number[]} [data.years] - 制裁年份列表
 * @param {string} [data.startDate] - 开始时间
 * @param {string} [data.endDate] - 结束时间
 * @param {string} [data.keyword] - 搜索字段
 * @param {number[]} [data.entityTypes] - 实体类型(2:科研院所；3：高校；4:企业)
 * @param {number} [data.pageNum=1] - 页码
 * @param {number} [data.pageSize=10] - 每页数量
 */
export function getExportControlList(data, options = {}) {
    return request({
        method: "POST",
        url: "/api/sanctionList/pageQuery",
        data,
        ...options
    })
}

// 实体清单-制裁概况-50%规则涉及实体数
/**
 * @param {Object} data
 * @param {string} [data.typeName="实体清单"] - 类型名称
 * @param {boolean} [data.isCn=true] - 是否只看中国实体
 * @param {string[]} [data.techDomains] - 科技领域ID列表
 * @param {number[]} [data.years] - 制裁年份列表
 * @param {string} [data.startDate] - 开始时间
 * @param {string} [data.endDate] - 结束时间
 * @param {string} [data.keyword] - 搜索字段
 * @param {number[]} [data.entityTypes] - 实体类型(2:科研院所；3：高校；4:企业)
 * @header token
 */
export function get50PercentEntityCount(data) {
    return request({
        method: 'POST',
        url: `/api/sanctionList/getRuleCount`,
        data,
    })
}

// 实体清单-数据统计-总量统计
export function getTotalCount() {
    return request({
        method: 'GET',
        url: `/api/sanctionList/statistics/el/total`
    })
}

// 实体清单-数据统计-制裁实体数量变化情况
/**
 * @param {countType} 
 * @header token
 */
export function getSanctionCountChange(params) {
    return request({
        method: 'GET',
        url: `/api/sanctionList/statistics/el/num`,
        params,
    })
}

// 实体清单-数据统计-制裁实体地域分布情况
/**
 * @param {Object} params
 * @param {string} [params.startDate] - 开始时间
 * @param {string} [params.endDate] - 结束时间
 * @header token
 */
export function getRegionCount(params) {
    return request({
        method: 'GET',
        url: `/api/sanctionList/statistics/el/region`,
        params,
    })
}

// 实体清单-数据统计-制裁实体领域分布情况
/**
 * @param {Object} params
 * @param {string} [params.startDate] - 开始时间
 * @param {string} [params.endDate] - 结束时间
 * @header token
 */
export function getTechDomainCount(params) {
    return request({
        method: 'GET',
        url: `/api/sanctionList/statistics/el/domain`,
        params,
    })
}

// 实体清单-数据统计-制裁实体类型分布情况
/**
 * @param {Object} params
 * @param {string} [params.startDate] - 开始时间
 * @param {string} [params.endDate] - 结束时间
 * @header token
 */
export function getEntityTypeCount(params) {
    return request({
        method: 'GET',
        url: `/api/sanctionList/statistics/el/entityType`,
        params,
    })
}

// 实体清单-深度挖掘-选择制裁
/**
 * @param {Object} data
 * @param {string} [data.startDate] - 开始时间
 * @param {string} [data.endDate] - 结束时间
 * @param {string} [data.typeName="实体清单"] - 类型名称
 * @param {number} [data.pageNum=1] - 页码
 * @param {number} [data.pageSize=10] - 每页数量
 * @header token
 */
export function getDeepMiningSelect(data) {
    return request({
        method: 'POST',
        url: `/api/entitiesDataCount/getSanctionProcess`,
        data,
    })
}

// 实体清单-深度挖掘-产业链列表信息
/**
 * @param {Object} params
 * @header token
 */
export function getDeepMiningIndustry(params) {
    return request({
        method: 'GET',
        url: `/api/chain/getChainInfo`,
        params,
    })
}

// 实体清单-深度挖掘-产业链鱼骨图信息
/**
 * @param {Object} params
 * @param {number} params.chainId - 产业链ID
 * @param {string} [params.date] - 日期
 * @header token
 */
export function getDeepMiningIndustryFishbone(params) {
    return request({
        method: 'GET',
        url: `/api/chain/getChainFishbone`,
        params,
    })
}

// 实体清单-深度挖掘-产业链中国企业实体信息查询
/**
 * @param {Object} params
 * @param {number} params.chainId - 产业链ID
 * @param {string} [params.date] - 日期
 * @header token
 */
export function getDeepMiningIndustryEntity(params) {
    return request({
        method: 'GET',
        url: `/api/chain/getChainEntityStat`,
        params,
    })
}